Show: Inherited Protected Private Deprecated

# ButtonTableHeading Class

Defined in: `src/ui/react/src/components/buttons/button-table-heading.jsx:4`

The ButtonTableHeading class provides functionality to work with table heading.

## Index

### Methods

- _getCommands
- render

### Properties

- commands
- editor
- expanded
- key static
- label
- tabIndex
- toggleDropdown

## Methods

### `_getCommands`

() Array

Defined in `src/ui/react/src/components/buttons/button-table-heading.jsx:100`

Returns a list of commands. If a list of commands was passed as property `commands`, it will take a precedence over the default ones.

#### Returns:

Array:

The list of available commands.

### `render`

() Object

Defined in `src/ui/react/src/components/buttons/button-table-heading.jsx:68`

Lifecycle. Renders the UI of the button.

#### Returns:

Object:

The content which should be rendered.

## Properties

### `commands`

Array

Defined in `src/ui/react/src/components/buttons/button-table-heading.jsx:12`

List of the commands the button is able to handle.

### `editor`

Object

Defined in `src/ui/react/src/components/buttons/button-table-heading.jsx:19`

The editor instance where the component is being used.

### `expanded`

Boolean

Defined in `src/ui/react/src/components/buttons/button-table-heading.jsx:26`

Indicates whether the styles list is expanded or not.

### `key`

String static

Defined in `src/ui/react/src/components/buttons/button-table-heading.jsx:58`

The name which will be used as an alias of the button in the configuration.

Default: tableRow

### `label`

String

Defined in `src/ui/react/src/components/buttons/button-table-heading.jsx:33`

The label that should be used for accessibility purposes.

### `tabIndex`

Number

Defined in `src/ui/react/src/components/buttons/button-table-heading.jsx:40`

The tabIndex of the button in its toolbar current state. A value other than -1 means that the button has focus and is the active element.

### `toggleDropdown`

Function

Defined in `src/ui/react/src/components/buttons/button-table-heading.jsx:48`

Callback provided by the button host to notify when the styles list has been expanded.